<?php
/**
 * Zend Frameworkを利用したRSS/Atom Reader『ZFReader』
 * アクションコントローラ システム処理
 * 
 * @author ishinao <ishinao@ishinao.net>
 * $Id: SystemController.php 72 2006-05-15 09:19:25Z ishinao $
 */

/**
 * アクションコントローラ基底クラスを読み込み
 */
Zend::loadClass('Zend_Controller_Action');

/**
 * アクションコントローラクラス
 * 
 */
class SystemController extends Zend_Controller_Action
{
	/**
	 * 
	 */
	public function indexAction()
	{
		$this->_forward('system', 'error', array('message' => '未対応の呼び出しです。'));
	}
    
    /**
     * ログインアクション
     */
    public function loginAction()
    {

    	$view = Zend::registry('view'); // Viewオブジェクトを取得
    	echo $view->render('pages/login.php'); // ページテンプレート出力

    }
    
    /**
     * ログアウトアクション
     */
    public function logoutAction()
    {
    	
		AuthPlugin::logout(); // AuthPluginのログアウトメソッドをコール
    	$this->_redirect(ZFReader_Controller_Router::getUrl('/')); // トップページにリダイレクト 

    }

    /**
     * メッセージを表示してリダイレクトを行うアクション
     * 
     * フォーム更新処理などを行った後、メッセージを表示したあとで、
     * 適切なページにリダイレクトを行うための、内部処理用アクション。
     * 
     * @param string message メッセージ。省略可。
     * @param string url リダイレクト先URL。
     * @param integer wait リダイレクトまでの待ち時間（秒）。省略可。
     */
    public function redirectAction()
    {

    	$view = Zend::registry('view'); // Viewオブジェクトを取得

    	$view->message = $this->_getParam('message'); // メッセージをセット
    	$view->url = $this->_getParam('url'); // リダイレクトURLをセット
    	$view->wait = $this->_getParam('wait'); // リダイレクトまでのウェイト時間をセット

    	echo $view->render('pages/redirect.php'); // ページテンプレートを表示

    }

    /**
     * エラーメッセージ表示アクション
     * 
     * @param string message エラーメッセージ
     */
    public function errorAction()
    {

    	$view = Zend::registry('view'); // Viewオブジェクトを取得
    	$view->errorMessage = $this->_getParam('message'); // エラーメッセージをセット

    	echo $view->render('pages/error.php'); // ページテンプレートを表示

    }
}

?>
